CREATE DATABASE ColonialJourney 

CREATE TABLE Planets(
	Id INT PRIMARY KEY IDENTITY
	, Name NVARCHAR(30) NOT NULL
	)

CREATE TABLE Spaceports(
	Id INT PRIMARY KEY IDENTITY
	, Name NVARCHAR(50) NOT NULL
	, PlanetId INT FOREIGN KEY REFERENCES Planets(Id)
	)

CREATE TABLE Spaceships(
	Id INT PRIMARY KEY IDENTITY
	, Name NVARCHAR(50) NOT NULL
	, Manufacturer NVARCHAR(50) NOT NULL
	, LightSpeedRate INT DEFAULT 0
	)

CREATE TABLE Colonists(
	Id INT PRIMARY KEY IDENTITY
	, FirstName NVARCHAR(20) NOT NULL
	, LastName NVARCHAR(20) NOT NULL
	, Ucn NVARCHAR(20) UNIQUE NOT NULL
	, BirthDate DATETIME2 NOT NULL
	)

CREATE TABLE Journeys(
	Id INT PRIMARY KEY IDENTITY
	, JourneyStart DATETIME2 NOT NULL
	, JourneyEnd DATETIME2 NOT NULL
	, Purpose NVARCHAR(11) CHECK(Purpose IN ('Medical', 'Technical', 'Educational', 'Military')) NOT NULL
	, DestinationSpaceportId INT FOREIGN KEY REFERENCES Spaceports(Id)
	, SpaceshipId INT FOREIGN KEY REFERENCES Spaceships(Id)
	)

CREATE TABLE TravelCards(
	Id INT PRIMARY KEY IDENTITY
	, CardNumber NVARCHAR(10) UNIQUE NOT NULL
	, JobDuringJourney NVARCHAR(8) CHECK(JobDuringJourney IN ('Pilot', 'Engineer', 'Trooper', 'Cleaner', 'Cook'))
	, ColonistId INT FOREIGN KEY REFERENCES Colonists(Id)
	, JourneyId INT FOREIGN KEY REFERENCES Journeys(Id)
	)